<?php

declare(strict_types=1);

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use TechnoArtisan\FilamentCms\Database\BaseMigration;

return new class extends BaseMigration {
    protected const string TABLE = 'fcms_website_setting_groups';

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create(self::TABLE, function (Blueprint $table): void {
            $this->basicTableSetup($table); // engine, charset, collation

            $table->tinyIncrements('id'); // TINYINT (3) unsigned

            $table->string('name', 255);
            $table->string('description', 2048);

            $table->timestamps();
        });
    }
};
